#!/bin/bash

key=0
for f in /etc/ssh/ssh_host_*; do
    if [ -a $f ]; then
        key=1
        break
    fi
done

if [ "x$key" == "x0" ]; then
    /usr/bin/ssh-keygen -A
fi

if [ $# -gt 0 ]; then
    exec "$@"
else
    exec /usr/bin/s6-svscan /etc/s6
fi